Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_XMLReader Class Reference

ACEXML_XMLReader. More...

`#include <XMLReader.h>`

Inheritance diagram for ACEXML_XMLReader:

[legend]
List of all members.

## Public Methods
virtual ACEXML_ContentHandler * | getContentHandler (void) const=0
virtual ACEXML_DTDHandler * | getDTDHandler (void) const=0
virtual ACEXML_EntityResolver * | getEntityResolver (void) const=0
virtual ACEXML_ErrorHandler * | getErrorHandler (void) const=0
virtual int | getFeature (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void * | getProperty (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void | parse (ACEXML_InputSource *input ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual void | parse (const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual void | setContentHandler (ACEXML_ContentHandler *handler)=0
virtual void | setDTDHandler (ACEXML_DTDHandler *handler)=0
virtual void | setEntityResolver (ACEXML_EntityResolver *resolver)=0
virtual void | setErrorHandler (ACEXML_ErrorHandler *handler)=0
virtual void | setFeature (const ACEXML_Char *name, int boolean_value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void | setProperty (const ACEXML_Char *name, void *value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
## Public Attributes
virtual int | ACEXML_SAXNotSupportedException = 0
virtual void * | ACEXML_SAXNotSupportedException = 0
virtual void | ACEXML_SAXNotSupportedException = 0

## Detailed Description

ACEXML_XMLReader.

XMLReader is the interface that an XML parser's SAX2 driver must implement. This interface allows an application to set and query features and properties in the parser, to register event handlers for document processing, and to initiate a document parse.

All SAX interfaces are assumed to be synchronous: the parse methods must not return until parsing is complete, and readers must wait for an event-handler callback to return before reporting the next event.

## Member Function Documentation

virtual ACEXML_ContentHandler* ACEXML_XMLReader::getContentHandler | ( | void |  | ) | const`[pure virtual]`

| Return the current content handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual ACEXML_DTDHandler* ACEXML_XMLReader::getDTDHandler | ( | void |  | ) | const`[pure virtual]`

| Return the current DTD handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual ACEXML_EntityResolver* ACEXML_XMLReader::getEntityResolver | ( | void |  | ) | const`[pure virtual]`

| Return the current entity resolver. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual ACEXML_ErrorHandler* ACEXML_XMLReader::getErrorHandler | ( | void |  | ) | const`[pure virtual]`

| Return the current error handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual int ACEXML_XMLReader::getFeature | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Look up the value of a feature. This method allows programmers to check whether a specific feature has been activated in the parser. Reimplemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void* ACEXML_XMLReader::getProperty | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Look up the value of a property. Reimplemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::parse | ( | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Parse an XML document from a system identifier (URI). Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::parse | ( | ACEXML_InputSource *input | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Parse an XML document. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setContentHandler | ( | ACEXML_ContentHandler * | handler | ) | `[pure virtual]`

| Allow an application to register a content event handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setDTDHandler | ( | ACEXML_DTDHandler * | handler | ) | `[pure virtual]`

| Allow an application to register a DTD event handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setEntityResolver | ( | ACEXML_EntityResolver * | resolver | ) | `[pure virtual]`

| Allow an application to register an entity resolver. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setErrorHandler | ( | ACEXML_ErrorHandler * | handler | ) | `[pure virtual]`

| Allow an application to register an error event handler. Implemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setFeature | ( | const ACEXML_Char * | name,
|  | int boolean_value | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Activating or deactivating a feature. Reimplemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

virtual void ACEXML_XMLReader::setProperty | ( | const ACEXML_Char * | name,
|  | void *value | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Set the value of a property. Reimplemented in ACEXML_XMLFilterImpl, and ACEXML_Parser.

## Member Data Documentation

virtual void ACEXML_XMLReader::ACEXML_SAXNotSupportedException = 0

| Reimplemented in ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_Parser, ACEXML_Parser, and ACEXML_Parser.

virtual void* ACEXML_XMLReader::ACEXML_SAXNotSupportedException = 0

| Reimplemented in ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_Parser, ACEXML_Parser, and ACEXML_Parser.

void ACEXML_XMLReader::ACEXML_SAXNotSupportedException = 0

| Reimplemented in ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_XMLFilterImpl, ACEXML_Parser, ACEXML_Parser, and ACEXML_Parser.

The documentation for this class was generated from the following file:

- XMLReader.h